Bug 482738 - selinux changes need for cloning
selinux changes need for cloning
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Cloning (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-01-27 14:46 EST by Ade Lee
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch with selinux changes (2.25 KB, patch)
2009-01-27 14:48 EST, Ade Lee
no flags Details | Diff
patch v2 (8.83 KB, patch)
2009-01-27 18:13 EST, Ade Lee
no flags Details | Diff

  None (edit)
Description Ade Lee 2009-01-27 14:46:33 EST
Description of problem:

Selinux changes are needed for cloning 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-01-27 14:48:14 EST
Created attachment 330140 [details]
patch with selinux changes
Comment 2 Ade Lee 2009-01-27 18:13:00 EST
Created attachment 330173 [details]
patch v2

Patch with changes for this bug
1. add new selinux rules 
2. require user to put master pk12 file in /var/lib/pki-ca/alias, change to UI and
   to common to read from that location.  This allows us not to require a new 
   selinux rule for the file location.

Also, changes for bug 482761
1. add changes to allow signed_audit cert to be imported correctly

cfu or awnuk, please review
Comment 4 Christina Fu 2009-01-28 10:44:42 EST
+cfu   ***reviewed p12 and signed audit changes only***
Comment 5 Ade Lee 2009-01-28 11:08:36 EST
[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla BZ# 482738: selinux changes for cloning" 
Sending        base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
Sending        base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
Sending        base/selinux/src/pki.fc
Sending        base/selinux/src/pki.if
Sending        base/selinux/src/pki.te
Sending        dogtag/common/pki-common.spec
Sending        dogtag/common-ui/dogtag-pki-common-ui.spec
Sending        dogtag/common-ui/shared/admin/console/config/restorekeycertpanel.vm
Sending        dogtag/selinux/pki-selinux.spec
Transmitting file data .........
Committed revision 199.

[builder@oliver redhat]$ svn ci -m "Bugzilla BZ#482738: selinux changes for cloning"
Sending        common-ui/redhat-pki-common-ui.el4sol9.spec
Sending        common-ui/redhat-pki-common-ui.spec
Sending        common-ui/shared/admin/console/config/restorekeycertpanel.vm
Transmitting file data ...
Committed revision 15406.

Note You need to log in before you can comment on or make changes to this bug.